POST api/v1/pregnancy-weight
Request Information
URI Parameters
None.
Body Parameters
CreatePregnancyWeightRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| WeightKg | decimal number |
None. |
|
| EntryDate | date |
None. |
|
| GestationalWeek | byte |
None. |
|
| PrePregnancyWeight | decimal number |
None. |
|
| HeightCm | decimal number |
None. |
|
| Note | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"weightKg": 1.0,
"entryDate": "2026-04-18T15:07:27.1652773+03:00",
"gestationalWeek": 64,
"prePregnancyWeight": 1.0,
"heightCm": 1.0,
"note": "sample string 1"
}
application/xml, text/xml
Sample:
<PregnancyWeightsController.CreatePregnancyWeightRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Controllers"> <EntryDate>2026-04-18T15:07:27.1652773+03:00</EntryDate> <GestationalWeek>64</GestationalWeek> <HeightCm>1</HeightCm> <Note>sample string 1</Note> <PrePregnancyWeight>1</PrePregnancyWeight> <WeightKg>1</WeightKg> </PregnancyWeightsController.CreatePregnancyWeightRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.